Bug 202906 - lang/php5 lang/php55 lang/php56: 5.4.45, 5.5.29 5.6.13 released (11 Security Vulnerabilities fixed)
Summary: lang/php5 lang/php55 lang/php56: 5.4.45, 5.5.29 5.6.13 released (11 Security ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mark Felder
URL:
Keywords: needs-patch, security
Depends on:
Blocks:
 
Reported: 2015-09-05 14:05 UTC by Kubilay Kocak
Modified: 2015-09-10 16:32 UTC (History)
4 users (show)

See Also:
bugzilla: maintainer-feedback? (ale)
koobs: merge-quarterly?


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Peter Wemm freebsd_committer freebsd_triage 2015-09-09 23:13:59 UTC
Any news? (asking with clusteradm hat)
Comment 2 Mark Felder freebsd_committer 2015-09-10 14:58:02 UTC
(In reply to Peter Wemm from comment #1)

I'll take this due to security issue.

Currently waiting on a build test of all the php modules, but it should be in the tree soon^TM.
Comment 3 commit-hook freebsd_committer 2015-09-10 16:28:13 UTC
A commit references this bug:

Author: feld
Date: Thu Sep 10 16:27:19 UTC 2015
New revision: 396579
URL: https://svnweb.freebsd.org/changeset/ports/396579

Log:
  lang/php5: Update to 5.4.45

  PR:		202906
  Approved by:	ports-secteam (with hat)
  Security:	CVE-2015-6834
  Security:	CVE-2015-6835
  Security:	CVE-2015-6836
  Security:	CVE-2015-6837
  Security:	CVE-2015-6838
  Security:	3d675519-5654-11e5-9ad8-14dae9d210b8

Changes:
  head/lang/php5/Makefile
  head/lang/php5/distinfo
Comment 4 commit-hook freebsd_committer 2015-09-10 16:29:15 UTC
A commit references this bug:

Author: feld
Date: Thu Sep 10 16:28:31 UTC 2015
New revision: 396580
URL: https://svnweb.freebsd.org/changeset/ports/396580

Log:
  lang/php55: Update to 5.5.29

  PR:		202906
  Approved by:	ports-secteam (with hat)
  Security:	CVE-2015-6834
  Security:	CVE-2015-6835
  Security:	CVE-2015-6836
  Security:	CVE-2015-6837
  Security:	CVE-2015-6838
  Security:	3d675519-5654-11e5-9ad8-14dae9d210b8

Changes:
  head/lang/php55/Makefile
  head/lang/php55/distinfo
Comment 5 commit-hook freebsd_committer 2015-09-10 16:30:17 UTC
A commit references this bug:

Author: feld
Date: Thu Sep 10 16:29:23 UTC 2015
New revision: 396581
URL: https://svnweb.freebsd.org/changeset/ports/396581

Log:
  lang/php56: Update to 5.6.13

  PR:		202906
  Approved by:	ports-secteam (with hat)
  Security:	CVE-2015-6834
  Security:	CVE-2015-6835
  Security:	CVE-2015-6836
  Security:	CVE-2015-6837
  Security:	CVE-2015-6838
  Security:	3d675519-5654-11e5-9ad8-14dae9d210b8

Changes:
  head/lang/php56/Makefile
  head/lang/php56/distinfo
Comment 6 commit-hook freebsd_committer 2015-09-10 16:31:19 UTC
A commit references this bug:

Author: feld
Date: Thu Sep 10 16:30:25 UTC 2015
New revision: 396582
URL: https://svnweb.freebsd.org/changeset/ports/396582

Log:
  MFH: r396579

  lang/php5: Update to 5.4.45

  PR:		202906
  Approved by:	ports-secteam (with hat)
  Security:	CVE-2015-6834
  Security:	CVE-2015-6835
  Security:	CVE-2015-6836
  Security:	CVE-2015-6837
  Security:	CVE-2015-6838
  Security:	3d675519-5654-11e5-9ad8-14dae9d210b8

Changes:
_U  branches/2015Q3/
  branches/2015Q3/lang/php5/Makefile
  branches/2015Q3/lang/php5/distinfo
Comment 7 commit-hook freebsd_committer 2015-09-10 16:31:21 UTC
A commit references this bug:

Author: feld
Date: Thu Sep 10 16:31:02 UTC 2015
New revision: 396583
URL: https://svnweb.freebsd.org/changeset/ports/396583

Log:
  MFH: r396580

  lang/php55: Update to 5.5.29

  PR:		202906
  Approved by:	ports-secteam (with hat)
  Security:	CVE-2015-6834
  Security:	CVE-2015-6835
  Security:	CVE-2015-6836
  Security:	CVE-2015-6837
  Security:	CVE-2015-6838
  Security:	3d675519-5654-11e5-9ad8-14dae9d210b8

Changes:
_U  branches/2015Q3/
  branches/2015Q3/lang/php55/Makefile
  branches/2015Q3/lang/php55/distinfo
Comment 8 Mark Felder freebsd_committer 2015-09-10 16:32:17 UTC
updates are in and also merged to quarterly
Comment 9 commit-hook freebsd_committer 2015-09-10 16:32:22 UTC
A commit references this bug:

Author: feld
Date: Thu Sep 10 16:31:34 UTC 2015
New revision: 396585
URL: https://svnweb.freebsd.org/changeset/ports/396585

Log:
  MFH: r396581

  lang/php56: Update to 5.6.13

  PR:		202906
  Approved by:	ports-secteam (with hat)
  Security:	CVE-2015-6834
  Security:	CVE-2015-6835
  Security:	CVE-2015-6836
  Security:	CVE-2015-6837
  Security:	CVE-2015-6838
  Security:	3d675519-5654-11e5-9ad8-14dae9d210b8

Changes:
_U  branches/2015Q3/
  branches/2015Q3/lang/php56/Makefile
  branches/2015Q3/lang/php56/distinfo